summaryrefslogtreecommitdiffstats
path: root/debian/icingaweb2-module-map.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-14 13:24:15 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-14 13:24:15 +0000
commitf7fa67dcc49b0b50ae2323b13facac69f2b5e495 (patch)
treeb57cfa4095263521138ba8d3b372d91d99487a3e /debian/icingaweb2-module-map.postrm
parentAdding upstream version 1.1.0. (diff)
downloadicingaweb2-module-map-debian/1.1.0-4.tar.xz
icingaweb2-module-map-debian/1.1.0-4.zip
Adding debian version 1.1.0-4.debian/1.1.0-4debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/icingaweb2-module-map.postrm')
-rwxr-xr-xdebian/icingaweb2-module-map.postrm23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/icingaweb2-module-map.postrm b/debian/icingaweb2-module-map.postrm
new file mode 100755
index 0000000..53891b4
--- /dev/null
+++ b/debian/icingaweb2-module-map.postrm
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+MODULE="map"
+
+case ${1} in
+ remove)
+ rm -f "/etc/icingaweb2/enabledModules/${MODULE}"
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument: \`${1}'." >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0